
QGIS Application - Bug report #12170

Adding a print layout adds a lot of project loading time 

2015-02-10 01:20 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 20362

Description

In QGIS master when adding a print layout the project loading time increases a lot.

Even creating new empty layputs, in an empty project it takes a lot.

This happens only on Linux, not Windows.

I install qgis master on Ubuntu 14.04 from the nightly builds repository.

Related issues:

Related to QGIS Application - Bug report # 12125: Very poor performance with ... Closed 2015-02-04

History

#1 - 2015-02-12 12:33 AM - Martin Dobias

Hi Giovanni

I have created a project with 10 empty composers - in debug version each composer add ~0.2s to the load time, so ~2s in total for the test project (will be

less in a release build). As such, I would say it is an acceptable overhead - it could be less, but I would not say it's a bug (especially not a critical one) -

unless the load time is significantly higher on you machine?

(tested on ubuntu 14.04, own build)

#2 - 2015-02-12 01:14 AM - Giovanni Manghi

Martin Dobias wrote:

Hi Giovanni

I have created a project with 10 empty composers - in debug version each composer add ~0.2s to the load time, so ~2s in total for the test project

(will be less in a release build). As such, I would say it is an acceptable overhead - it could be less, but I would not say it's a bug (especially not a

critical one) - unless the load time is significantly higher on you machine?

(tested on ubuntu 14.04, own build)

Hi Martin

just tested to the latest master in the nightly repo and I cannot see the issue anymore. Until the other day it was anyway very clear.
Feel free to close this, it would be good anyway to understand what changed.

PS

also the large project I linked here #12125-8

now opens ok even with composers.

#3 - 2015-02-13 12:17 AM - Giovanni Manghi

Martin Dobias wrote:

Hi Giovanni

I have created a project with 10 empty composers - in debug version each composer add ~0.2s to the load time, so ~2s in total for the test project

(will be less in a release build). As such, I would say it is an acceptable overhead - it could be less, but I would not say it's a bug (especially not a

critical one) - unless the load time is significantly higher on you machine?

(tested on ubuntu 14.04, own build)

I'm hitting this issue again, in a very simple project (--noplugins).

#4 - 2015-02-17 02:28 AM - Martin Dobias

Giovanni, could you please attach the project to see if I can replicate the problem?

#5 - 2015-02-17 04:31 AM - Martin Dobias

- Status changed from Open to Feedback

#6 - 2015-02-17 05:03 AM - Giovanni Manghi

Martin Dobias wrote:

Giovanni, could you please attach the project to see if I can replicate the problem?

Hi Martin, we will back to you asap.

#7 - 2015-02-17 07:54 AM - Giovanni Manghi

Martin Dobias wrote:

Giovanni, could you please attach the project to see if I can replicate the problem?

Hi Martin,

I cannot replicate this issue (again), so I guess that we can close this one.

Anyway there are others that are affected #12125
#8 - 2015-02-19 04:30 AM - Martin Dobias

- Resolution set to worksforme

- Status changed from Feedback to Closed
